2 votos

Ubuntu 18.04 MSFT touchpad

En mi último Ubuntu 18.04 la instalación en mi MSI ordenador portátil, he conseguido configurar mi Elan touchpad usando synaptics y synclient comandos.

Mi configuración actual es un Lenovo de la Legión de embalaje y540 con Ubuntu 18.04 de nuevo. El panel táctil para mover el cursor, dos dedos de desplazamiento correctamente, puede hacer clic en los botones, pero solo o multi-pulsar no. El Fn+F11 combinación (de desactivación del touchpad) obras. Traté de ver si yo tenía un synaptics touchpad compatible, así que corrí xinput --list y tengo:

⎡ Virtual core pointer                      id=2    [master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer                id=4    [slave  pointer  (2)]
⎜   ↳ Microsoft Microsoft® Nano Transceiver v1.0 Mouse  id=10   [slave  pointer  (2)]
⎜   ↳ Microsoft Microsoft® Nano Transceiver v1.0 Consumer Control   id=11   [slave  pointer  (2)]
⎜   ↳ Microsoft Microsoft® Nano Transceiver v1.0 Consumer Control   id=12   [slave  pointer  (2)]
⎜   ↳ ITE Tech. Inc. ITE Device(8910) Consumer Control  id=15   [slave  pointer  (2)]
⎜   ↳ MSFT0001:01 04F3:309E Touchpad            id=18   [slave  pointer  (2)]
⎣ Virtual core keyboard                     id=3    [master keyboard (2)]
    ↳ Virtual core XTEST keyboard               id=5    [slave  keyboard (3)]
    ↳ Video Bus                                 id=6    [slave  keyboard (3)]
    ↳ Video Bus                                 id=7    [slave  keyboard (3)]
    ↳ Power Button                              id=8    [slave  keyboard (3)]
    ↳ Microsoft Microsoft® Nano Transceiver v1.0    id=9    [slave  keyboard (3)]
    ↳ Microsoft Microsoft® Nano Transceiver v1.0 System Control id=13   [slave  keyboard (3)]
    ↳ Integrated Camera: Integrated C           id=14   [slave  keyboard (3)]
    ↳ ITE Tech. Inc. ITE Device(8910) Wireless Radio Control    id=16   [slave  keyboard (3)]
    ↳ ITE Tech. Inc. ITE Device(8910) Keyboard  id=17   [slave  keyboard (3)]
    ↳ AT Translated Set 2 keyboard              id=19   [slave  keyboard (3)]
    ↳ Microsoft Microsoft® Nano Transceiver v1.0 Consumer Control   id=20   [slave  keyboard (3)]
    ↳ Microsoft Microsoft® Nano Transceiver v1.0 Consumer Control   id=21   [slave  keyboard (3)]
    ↳ ITE Tech. Inc. ITE Device(8910) Consumer Control  id=22   [slave  keyboard (3)]

He intentado instalar xserver-xorg-input-synaptics y lo que me impulsó a eliminar algunos de los paquetes básicos para ir anteriores (o al menos eso creo), que no parece óptimo. Aquí está el resultado:

sudo aptitude install xserver-xorg-input-synaptics
The following NEW packages will be installed:
  xserver-xorg-core{ab} xserver-xorg-input-synaptics 
0 packages upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 1 414 kB of archives. After unpacking 4 187 kB will be used.
The following packages have unmet dependencies:
 xserver-xorg-core : Conflicts: xserver-xorg-video-modesetting which is a virtual package, provided by:
                                - xserver-xorg-core (2:1.19.6-1ubuntu4.2), but 2:1.19.6-1ubuntu4.3 is to be installed
                                - xserver-xorg-core-hwe-18.04 (2:1.20.4-1ubuntu3~18.04.1), but 2:1.20.4-1ubuntu3~18.04.1 is installed
                                - xserver-xorg-core (2:1.19.6-1ubuntu4.3), but 2:1.19.6-1ubuntu4.3 is to be installed
                                - xserver-xorg-core (2:1.19.6-1ubuntu4), but 2:1.19.6-1ubuntu4.3 is to be installed

 xserver-xorg-core-hwe-18.04 : Conflicts: xserver-xorg-core but 2:1.19.6-1ubuntu4.3 is to be installed
                               Conflicts: xserver-xorg-video-modesetting which is a virtual package, provided by:
                                          - xserver-xorg-core (2:1.19.6-1ubuntu4.2), but 2:1.19.6-1ubuntu4.3 is to be installed
                                          - xserver-xorg-core-hwe-18.04 (2:1.20.4-1ubuntu3~18.04.1), but 2:1.20.4-1ubuntu3~18.04.1 is installed
                                          - xserver-xorg-core (2:1.19.6-1ubuntu4.3), but 2:1.19.6-1ubuntu4.3 is to be installed
                                          - xserver-xorg-core (2:1.19.6-1ubuntu4), but 2:1.19.6-1ubuntu4.3 is to be installed

 xserver-xorg-hwe-18.04 : Conflicts: xserver-xorg-core (>= 0~) but 2:1.19.6-1ubuntu4.3 is to be installed
The following actions will resolve these dependencies:

      Remove the following packages:                                                                      
1)      xserver-xorg-core-hwe-18.04 [2:1.20.4-1ubuntu3~18.04.1 (bionic-updates, now)]                     
2)      xserver-xorg-hwe-18.04 [1:7.7+19ubuntu8~18.04.2 (bionic-updates, now)]                            
3)      xserver-xorg-input-all-hwe-18.04 [1:7.7+19ubuntu8~18.04.2 (bionic-updates, now)]                  
4)      xserver-xorg-input-libinput-hwe-18.04 [0.28.1-1~18.04.1 (bionic-updates, now)]                    
5)      xserver-xorg-input-wacom-hwe-18.04 [1:0.36.1-0ubuntu1~18.04.1 (bionic-updates, now)]              
6)      xserver-xorg-video-all-hwe-18.04 [1:7.7+19ubuntu8~18.04.2 (bionic-updates, now)]                  
7)      xserver-xorg-video-amdgpu-hwe-18.04 [19.0.1-1~18.04.1 (bionic-updates, now)]                      
8)      xserver-xorg-video-ati-hwe-18.04 [1:19.0.1-0ubuntu1~18.04.1 (bionic-updates, now)]                
9)      xserver-xorg-video-fbdev-hwe-18.04 [1:0.5.0-1ubuntu1~18.04.1 (bionic-updates, now)]               
10)     xserver-xorg-video-intel-hwe-18.04 [2:2.99.917+git20171229-1ubuntu1~18.04.1 (bionic-updates, now)]
11)     xserver-xorg-video-nouveau-hwe-18.04 [1:1.0.16-1~18.04.1 (bionic-updates, now)]                   
12)     xserver-xorg-video-qxl-hwe-18.04 [0.1.5-2build2~18.04.1 (bionic-updates, now)]                    
13)     xserver-xorg-video-radeon-hwe-18.04 [1:19.0.1-0ubuntu1~18.04.1 (bionic-updates, now)]             
14)     xserver-xorg-video-vesa-hwe-18.04 [1:2.4.0-1~18.04.1 (bionic-updates, now)]                       
15)     xserver-xorg-video-vmware-hwe-18.04 [1:13.3.0-2build1~18.04.1 (bionic-updates, now)]              

      Install the following packages:                                                                     
16)     xserver-xorg [1:7.7+19ubuntu7.1 (bionic-updates)]                                                 

      Leave the following dependencies unresolved:                                                        
17)     xserver-xorg recommends xserver-xorg-video-all

Yo no encuentro nada en la web para ese tipo de "MSFT[...] Touchpad", ya que no es ni Elan ni Synaptics. Yo estaría muy contento de ser capaz de, al menos, activar solo dedo presionando el gesto, si no el borde de desplazamiento en todos los bordes y otras cosas que podría hacer con synclient. Gracias a alguien que me pueda ayudar a hacer eso!

0voto

user3140225 Puntos 91

Parece que está utilizando el núcleo HWE, por lo que le pide que elimine los paquetes HWE xserver-xorg y los reemplace por otros que no sean HWE.

En su lugar, intente instalar el paquete HWE synaptics :

 sudo apt install xserver-xorg-input-synaptics-hwe-18.04
 

Reinicie su computadora para que los cambios surtan efecto.

Si se pregunta qué es HWE, puede leer aquí .

EnMiMaquinaFunciona.com

EnMiMaquinaFunciona es una comunidad de administradores de sistemas en la que puedes resolver tus problemas y dudas.
Puedes consultar las preguntas de otros sysadmin, hacer tus propias preguntas o resolver las de los demás.

Powered by: